Type.registerNamespace("Telerik.Web.UI.Widgets");
Telerik.Web.UI.Widgets.FileListItem=function(_1,_2){
this.parent=_2;
this.type=_1[0];
this.permissions=_1[1];
this.name=_1[2];
this.path=_1[3];
this._url=_1[4]?_1[4]:null;
this.extension=_1[5];
this.size=_1[6];
this.tag=_1[7];
this.shortSize=this.isDirectory()?"&nbsp;":this._getShortSize(this.size);
this.private_CombinedPath=null;
this.private_CombinedPath=_1[7]?_1[7]:null;
this.Attributes=_1[8];
this._itemRow=null;
this._lister=null;
this.children=[];
var _3=_1[9];
for(var i=0;i<_3.length;i++){
this.children[this.children.length]=new Telerik.Web.UI.Widgets.FileListItem(_3[i],this);
}
};
Telerik.Web.UI.Widgets.FileListItem.prototype={getPath:function(){
if(this.private_CombinedPath==null){
var _5=this.path+(this.isDirectory()?this._endWithSlash(this.name):this.name);
var _6=this.parent;
while(_6&&_6.parent!=null){
_5=_6.path+this._endWithSlash(_6.name)+_5;
_6=_6.parent;
}
this.private_CombinedPath=_5;
}
return this.private_CombinedPath;
},isDirectory:function(){
return this.type==Telerik.Web.UI.Widgets.FileItemType.Directory;
},_endWithSlash:function(_7){
if(_7.lastIndexOf("/")==(_7.length-1)){
return _7;
}
return _7+"/";
},getUrl:function(){
if(this._url==null){
return this.getPath();
}else{
return this._url;
}
},_getShortSize:function(_8){
var _9=_8/1024;
var _a=_9/1024;
if(_a>0.8){
return ""+Math.round(_a*100)/100+" MB";
}
if(_9>0.8){
return ""+Math.round(_9*100)/100+" kB";
}
return ""+_8+" B";
}};
Telerik.Web.UI.Widgets.FileListItem.registerClass("Telerik.Web.UI.Widgets.FileListItem",null);
Type.registerNamespace("Telerik.Web.UI.Widgets");
Telerik.Web.UI.Widgets.FileItemType=function(){
throw Error.notImplemented();
};
Telerik.Web.UI.Widgets.FileItemType.prototype={File:0,Directory:1};
Telerik.Web.UI.Widgets.FileItemType.registerEnum("Telerik.Web.UI.Widgets.FileItemType");
Telerik.Web.UI.Widgets.FileItemPermissions=function(){
throw Error.notImplemented();
};
Telerik.Web.UI.Widgets.FileItemPermissions.prototype={Read:1,Upload:2,Delete:4};
Telerik.Web.UI.Widgets.FileItemPermissions.registerEnum("Telerik.Web.UI.Widgets.FileItemPermissions");
Telerik.Web.UI.Widgets.GenericFileLister=function(_b){
this._rootItem=[];
this._currentDirectory=null;
this._selectedItem=null;
this._loadItemsPostbackReference="";
this._deleteItemPostbackReference="";
this._refreshPostbackReference="";
this._createDirectoryPostbackReference="";
this._itemsTable=null;
this._folderPathHolder=null;
this._sortExtensionButton=null;
this._sortFilenameButton=null;
this._sortSizeButton=null;
this._currentDirectoryPath="";
this._currentDirectoryTag="";
this._selectedItemPath="";
this._selectedItemTag="";
this._sortDirection="ASC";
this._sortExpression="name";
Telerik.Web.UI.Widgets.GenericFileLister.initializeBase(this,[_b]);
};
Telerik.Web.UI.Widgets.GenericFileLister.prototype={initialize:function(){
Telerik.Web.UI.Widgets.GenericFileLister.callBaseMethod(this,"initialize");
this._initializeChildren();
this._appLoadHandler=Function.createDelegate(this,this._appLoadHandler);
Sys.Application.add_load(this._appLoadHandler);
},_appLoadHandler:function(){
Sys.Application.remove_load(this._appLoadHandler);
this._initRoot(this.get_rootItem());
if(this.get_currentDirectory()==this.get_rootItem()&&this.get_currentDirectory().children.length==1){
this._currentDirectory=this.get_rootItem().children[0];
this.updateClientState();
this._clearItems();
}
this._display();
},_getItemForState:function(_c){
if(!_c){
return null;
}
return {Type:_c.type,Tag:_c.tag?_c.tag:"",Path:_c.getPath(),Name:_c.name};
},saveClientState:function(){
var _d={CurrentDirectory:this._getItemForState(this.get_currentDirectory()),SelectedItem:this._getItemForState(this.get_selectedItem())};
return Sys.Serialization.JavaScriptSerializer.serialize(_d);
},_initializeChildren:function(){
this._itemsTable=this._getChildElement("ItemsTable");
this._folderPathHolder=this._getChildElement("FolderPath");
this._sortExtensionButton=this._getChildElement("SortExtension");
this._sortFilenameButton=this._getChildElement("SortFilename");
this._sortSizeButton=this._getChildElement("SortSize");
$addHandlers(this._sortExtensionButton,{"click":this._sortExtensionHandler},this);
$addHandlers(this._sortFilenameButton,{"click":this._sortFilenameHandler},this);
$addHandlers(this._sortSizeButton,{"click":this._sortSizeHandler},this);
},loadChildItems:function(_e){
this.get_currentDirectory().children=[];
for(var i=0;i<_e.length;i++){
this.get_currentDirectory().children[i]=new Telerik.Web.UI.Widgets.FileListItem(_e[i],this.get_currentDirectory());
}
this._display();
this.raise_directoryChange({Item:this.get_currentDirectory()});
},reloadRoot:function(_10,_11,_12){
this._currentDirectoryPath=_11;
this._currentDirectoryTag=_12;
this._initRoot(_10);
this._clearItems();
this._display();
},reloadCurrentDirectory:function(_13){
this._clearItems();
this.get_currentDirectory().children=[];
for(var i=0;i<_13.length;i++){
this.get_currentDirectory().children[i]=new Telerik.Web.UI.Widgets.FileListItem(_13[i],this.get_currentDirectory());
}
this._display();
this.raise_directoryChange({Item:this.get_currentDirectory()});
},_goToDirectory:function(_15){
this._currentDirectory=_15;
this.updateClientState();
this._clearItems();
if(_15.children.length==0){
eval(this._loadItemsPostbackReference);
}else{
this._display();
this.raise_directoryChange({Item:_15});
}
},_display:function(){
this._folderPathHolder.value=this.get_currentDirectory().getPath();
this._sortItems(this.get_currentDirectory().children);
this._renderDirectory(this.get_currentDirectory());
this.raise_display();
},_renderDirectory:function(_16){
if(!this._isRoot(_16)){
this._addUpRow();
}
for(var i=0;i<_16.children.length;i++){
var _18=this._getRowsHolder().rows.length;
this._getRowsHolder().insertRow(_18);
var row=this._getRowsHolder().rows[_18];
this._setupItemRow(row,_16.children[i]);
}
},_setupItemRow:function(row,_1b){
row.item=_1b;
var _1c=_1b.extension.toLowerCase().substring(1,_1b.extension.length);
this._addListCells(row);
this._formatCell(row.cells[0],_1c,"fileextension "+_1c);
this._formatCell(row.cells[1],_1b.name);
this._formatCell(row.cells[2],_1b.shortSize,"filesize");
this._formatRow(row);
$addHandlers(row,{"dblclick":this._rowDblClickHandler,"click":this._rowClickHandler},this);
if(_1b==this._selectedItem){
this._selectItemRow(row);
}
},_getRowsHolder:function(){
return this._itemsTable.tBodies[0];
},_goUpHandler:function(){
this._goToDirectory(this.get_currentDirectory().parent);
},deleteCurrentItem:function(){
if(!(this.get_currentDirectory().permissions&Telerik.Web.UI.Widgets.FileItemPermissions.Delete)||this.get_selectedItem()==null){
return;
}
if(confirm(localization["ConfirmDelete"])){
eval(this._deleteItemPostbackReference);
}
},refresh:function(){
eval(this._refreshPostbackReference);
},_sortExtensionHandler:function(e){
this._sort("extension");
},_sortFilenameHandler:function(e){
this._sort("name");
},_sortSizeHandler:function(e){
this._sort("size");
},createNewDirectory:function(){
if(this.get_currentDirectory().permissions&Telerik.Web.UI.Widgets.FileItemPermissions.Upload){
var _20=prompt(localization["CreateNewFolder"],localization["NewFolder"]);
if(_20!=null&&_20.trim()!=""){
_20=_20.trim();
for(var i=0;i<this.get_currentDirectory().children.length;i++){
var _22=this.get_currentDirectory().children[i];
if(_22.name==_20){
alert(localization["NameExists"]);
return;
}
}
if(this.get_currentDirectory().permissions&Telerik.Web.UI.Widgets.FileItemPermissions.Upload){
this.updateClientState();
var _23=this._createDirectoryPostbackReference.replace("??","??"+_20);
eval(_23);
}
}
}
},_rowDblClickHandler:function(e){
var row=this._findRow(e.target);
var _26=row.item;
if(_26.isDirectory()){
row.item=null;
this._goToDirectory(_26);
}else{
this.raise_fileDblClick({Item:_26});
}
},_rowClickHandler:function(e){
var row=this._findRow(e.target);
this._selectItemRow(row);
},_selectItemRow:function(row){
this._clearSelection();
var _2a=row.item;
this._selectedItem=_2a;
row.className+=" selectedrow";
this.updateClientState();
this.raise_itemClick({Item:_2a});
},_addUpRow:function(){
var _2b=this._getRowsHolder().rows.length;
this._getRowsHolder().insertRow(_2b);
var row=this._getRowsHolder().rows[_2b];
row.className="folderup";
row.insertCell(0);
row.insertCell(1);
row.insertCell(2);
this._formatCell(row.cells[0],localization["Up"],"fileextension up");
this._formatCell(row.cells[1],"..");
this._formatCell(row.cells[2],"&nbsp;","filesize");
$addHandlers(row,{"dblclick":this._goUpHandler},this);
},_formatRow:function(row){
row.className=row.item.isDirectory()?"listItemRow folder":"listItemRow";
},_formatCell:function(_2e,_2f,_30){
_2e.innerHTML=_2f;
_2e.title=_2f;
if(_30){
_2e.className=_30;
}
_2e.setAttribute("unselectable","on");
},_addListCells:function(row){
for(var i=0;i<3;i++){
row.insertCell(row.cells.length);
}
},_findRow:function(_33){
var _34=_33;
while(_34!=null&&_34.tagName.toLowerCase()!="tr"){
_34=_34.parentNode;
}
return _34;
},_clearSelection:function(){
var _35=this._getRowsHolder().rows.length;
for(var i=this._isRoot(this.get_currentDirectory())?0:1;i<_35;i++){
var row=this._getRowsHolder().rows[i];
this._formatRow(row);
}
},_clearItems:function(){
this._selectedItem=null;
var _38=this._getRowsHolder().rows.length;
for(var i=_38-1;i>-1;i--){
var row=this._getRowsHolder().rows[i];
$clearHandlers(row);
row.parentNode.removeChild(row);
}
},_createRootItem:function(){
return {getPath:function(){
return "/";
},children:[],tag:"",type:Telerik.Web.UI.Widgets.FileItemType.Directory,name:"Root"};
},_initRoot:function(_3b){
this.set_rootItem(this._createRootItem());
for(var i=0;i<_3b.length;i++){
this.get_rootItem().children[i]=new Telerik.Web.UI.Widgets.FileListItem(_3b[i],this.get_rootItem());
}
this._selectedItem=this._findItemByUrlRecursive(this._selectedItemPath,this.get_rootItem().children);
if(this._selectedItem){
this._currentDirectory=this._selectedItem.parent;
}else{
this._currentDirectory=this._getCurrentDirectoryRecursive(this.get_rootItem());
}
this.updateClientState();
},_findItemByUrlRecursive:function(url,_3e){
for(var i=0;i<_3e.length;i++){
var _40=_3e[i];
if(_40.getUrl()==url){
return _40;
}
var _41=null;
if(_40.isDirectory()){
_41=this._findItemByUrlRecursive(url,_40.children);
if(_41){
return _41;
}
}
}
return null;
},_getCurrentDirectoryRecursive:function(_42){
if(_42.getPath()==this._currentDirectoryPath&&_42.tag==this._currentDirectoryTag){
return _42;
}
var _43=null;
for(var i=0;i<_42.children.length;i++){
_43=this._getCurrentDirectoryRecursive(_42.children[i]);
if(_43){
return _43;
}
}
return _43;
},_sort:function(_45){
if(_45==this._sortExpression){
this._sortDirection=(this._sortDirection=="DESC")?"ASC":"DESC";
}else{
this._sortDirection="ASC";
this._sortExpression=_45;
}
this._applyHeaderSortStyle();
this._clearItems();
this._display();
},_applyHeaderSortStyle:function(){
var _46=this._sortDirection=="ASC"?"sortdescending":"sortascending";
this._sortExtensionButton.className=this._sortExpression=="extension"?_46:"";
this._sortFilenameButton.className=this._sortExpression=="name"?_46:"";
this._sortSizeButton.className=this._sortExpression=="size"?_46:"";
},_sortItems:function(_47){
var me=this;
var _49=function(_4a,_4b){
return me._compare(_4a,_4b,me._sortDirection,me._sortExpression);
};
_47.sort(_49);
},_compare:function(_4c,_4d,_4e,_4f){
var _50=_4d.type-_4c.type;
if(_50==0){
var _51=(_4c.type==1&&_4d.type==1)?"name":_4f;
var _52=(typeof (_4c[_51])=="string")?_4c[_51].toLowerCase():_4c[_51];
var _53=(typeof (_4d[_51])=="string")?_4d[_51].toLowerCase():_4d[_51];
if(_52>_53){
_50=1;
}else{
if(_52<_53){
_50=-1;
}else{
_50=0;
}
}
}
return _4e=="ASC"?_50:-_50;
},raise_itemClick:function(_54){
this.raiseEvent("itemClick",_54);
},add_itemClick:function(_55){
this.get_events().addHandler("itemClick",_55);
},remove_itemClick:function(_56){
this.get_events().removeHandler("itemClick",_56);
},raise_directoryChange:function(_57){
this.raiseEvent("directoryChange",_57);
},add_directoryChange:function(_58){
this.get_events().addHandler("directoryChange",_58);
},remove_directoryChange:function(_59){
this.get_events().removeHandler("directoryChange",_59);
},raise_fileDblClick:function(_5a){
this.raiseEvent("fileDblClick",_5a);
},add_fileDblClick:function(_5b){
this.get_events().addHandler("fileDblClick",_5b);
},remove_fileDblClick:function(_5c){
this.get_events().removeHandler("fileDblClick",_5c);
},add_display:function(_5d){
this.get_events().addHandler("display",_5d);
},remove_display:function(_5e){
this.get_events().removeHandler("display",_5e);
},raise_display:function(_5f){
this.raiseEvent("display",_5f);
},get_rootItem:function(){
return this._rootItem;
},set_rootItem:function(_60){
this._rootItem=_60;
},_isRoot:function(_61){
return _61==this.get_rootItem();
},get_currentDirectory:function(){
return this._currentDirectory;
},get_selectedItem:function(){
return this._selectedItem;
},dispose:function(){
this._itemsTable=null;
$clearHandlers(this._sortExtensionButton);
$clearHandlers(this._sortFilenameButton);
$clearHandlers(this._sortSizeButton);
Telerik.Web.UI.Widgets.GenericFileLister.callBaseMethod(this,"dispose");
}};
Telerik.Web.UI.Widgets.GenericFileLister.registerClass("Telerik.Web.UI.Widgets.GenericFileLister",Telerik.Web.UI.RadWebControl);
Type.registerNamespace("Telerik.Web.UI.Editor.DialogControls");
Telerik.Web.UI.Editor.DialogControls.FileManagerDialog=function(_62){
Telerik.Web.UI.Editor.DialogControls.FileManagerDialog.initializeBase(this,[_62]);
};
Telerik.Web.UI.Editor.DialogControls.FileManagerDialog.registerClass("Telerik.Web.UI.Editor.DialogControls.FileManagerDialog",Telerik.Web.UI.RadWebControl,Telerik.Web.IParameterConsumer);
Type.registerNamespace("Telerik.Web.UI.Widgets");
Telerik.Web.UI.Widgets.FileManager=function(_63){
Telerik.Web.UI.Widgets.FileManager.initializeBase(this,[_63]);
this._filePreviewer=null;
this._fileLister=null;
this._toolbar=null;
this._clientParameters=null;
};
Telerik.Web.UI.Widgets.FileManager.prototype={initialize:function(){
Telerik.Web.UI.Widgets.FileManager.callBaseMethod(this,"initialize");
$addHandlers(this._insertButton,{"click":this._insertClickHandler},this);
this._insertButton.title=localization["Insert"];
$addHandlers(this._cancelButton,{"click":this._cancelClickHandler},this);
this._cancelButton.title=localization["Cancel"];
if(this._toolbar!=null){
this._toolbar.add_buttonClicked(Function.createDelegate(this,this._toolbarClickedHandler));
}
if(this._fileLister!=null){
this._fileLister.add_display(Function.createDelegate(this,this._listerDisplayHandler));
this._fileLister.add_itemClick(Function.createDelegate(this,this._listerItemClickHandler));
this._fileLister.add_directoryChange(Function.createDelegate(this,this._listerDirectoryChangeyHandler));
}
},clientInit:function(_64){
this._clientParameters=_64;
var _65=this.get_selectedItem();
if(_65&&this._clientParameters.selectedItemUrl){
var _66=this._stripProtocolAndServerName(this._clientParameters.selectedItemUrl);
if(_66==_65.getUrl()){
this.populateObjectProperties(this._clientParameters.selectedObject);
}
}
this._enableUpload(false);
},_stripProtocolAndServerName:function(url){
var _68=url.indexOf("//");
if(_68>=0){
_68=url.indexOf("/",_68+2);
if(_68>=0){
return url.substring(_68);
}
}
return url;
},_getEventArgs:function(){
return {CurrentDirectory:this._fileLister.get_currentDirectory(),SelectedItem:this.get_selectedItem(),Result:this._filePreviewer.getResult()};
},get_toolbar:function(){
return this._toolbar;
},set_toolbar:function(_69){
this._toolbar=_69;
},get_fileLister:function(){
return this._fileLister;
},set_fileLister:function(_6a){
this._fileLister=_6a;
},get_filePreviewer:function(){
return this._filePreviewer;
},set_filePreviewer:function(_6b){
this._filePreviewer=_6b;
},get_insertButton:function(){
return this._insertButton;
},set_insertButton:function(_6c){
this._insertButton=_6c;
},get_cancelButton:function(){
return this._cancelButton;
},set_cancelButton:function(_6d){
this._cancelButton=_6d;
},get_clientParameters:function(){
return this._clientParameters;
},populateObjectProperties:function(_6e){
this._filePreviewer.populateObjectProperties(_6e);
},get_selectedItem:function(){
return this._fileLister.get_selectedItem();
},_insertClickHandler:function(){
var _6f=this._getEventArgs();
if(_6f.SelectedItem&&_6f.SelectedItem.type==Telerik.Web.UI.Widgets.FileItemType.File){
window.setTimeout(function(){
Telerik.Web.UI.Dialogs.CommonDialogScript.get_windowReference().close(_6f);
},0);
}
},_cancelClickHandler:function(){
Telerik.Web.UI.Dialogs.CommonDialogScript.get_windowReference().close();
},_toolbarClickedHandler:function(_70,_71){
this.toolbarClicked(_70,_71);
},_listerDisplayHandler:function(_72,_73){
this.listerDisplay(_72,_73);
},_listerDirectoryChangeyHandler:function(_74,_75){
this.listerDirectoryChange(_74,_75);
},_listerItemClickHandler:function(_76,_77){
this.listerItemClick(_76,_77);
},listerDisplay:function(_78,_79){
var _7a=Telerik.Web.UI.Widgets.FileItemPermissions;
var _7b=this._fileLister.get_currentDirectory().permissions;
this._setToolbarButtonEnabledState("NewFolder",_7b&_7a.Upload!=0);
this._setToolbarButtonCheckedState("Upload",false);
this._setToolbarButtonEnabledState("Upload",_7b&_7a.Upload!=0);
this._setToolbarButtonEnabledState("Delete",(_7b&_7a.Delete)&&this.get_selectedItem()!=null);
},listerItemClick:function(_7c,_7d){
this._filePreviewer.setItem(_7d.Item);
this.enableButton(this._insertButton,_7d.Item.type!=Telerik.Web.UI.Widgets.FileItemType.Directory);
this._setToolbarButtonEnabledState("Delete",(this._fileLister.get_currentDirectory().permissions&Telerik.Web.UI.Widgets.FileItemPermissions.Delete)&&this.get_selectedItem()!=null);
},listerDirectoryChange:function(_7e,_7f){
this._filePreviewer.setItem(_7f.Item);
this.enableButton(this._insertButton,_7f.Item.type!=Telerik.Web.UI.Widgets.FileItemType.Directory);
},enableButton:function(_80,_81){
if(_81){
Sys.UI.DomElement.removeCssClass(_80,"disabled-button");
}
Sys.UI.DomElement.addCssClass(_80,"disabled-button");
},toolbarClicked:function(_82,_83){
var _84=_83._item.get_value();
var _85=this._fileLister;
switch(_84){
case "Refresh":
_85.refresh();
break;
case "NewFolder":
_85.createNewDirectory();
break;
case "Delete":
_85.deleteCurrentItem();
break;
case "Upload":
this._enableUpload($get("uploadRow").style.display=="none");
break;
case "ImageEditor":
this.openImageEditor();
break;
default:
break;
}
},_enableUpload:function(_86){
if(_86){
if(this._fileLister.get_currentDirectory().permissions&Telerik.Web.UI.Widgets.FileItemPermissions.Upload){
this._setToolbarButtonEnabledState("all",false);
$get("listRow").style.display="none";
$get("uploadRow").style.display="";
this._setToolbarButtonEnabledState("Upload",true);
this._setToolbarButtonCheckedState("Upload",true);
this.enableButton(this._insertButton,false);
}
}else{
this.enableButton(this._insertButton,true);
this._setToolbarButtonEnabledState("all",true);
this._setToolbarButtonCheckedState("Upload",false);
$get("listRow").style.display="";
$get("uploadRow").style.display="none";
this.listerDisplay();
}
},_setToolbarButtonEnabledState:function(_87,_88){
if(this._toolbar!=null){
this._toolbar.get_items().forEach(function(_89){
if(_89.get_value()==_87||_87=="all"){
_89.set_enabled(_88);
}
});
}
},_setToolbarButtonCheckedState:function(_8a,_8b){
if(this._toolbar!=null){
this._toolbar.get_items().forEach(function(_8c){
if(_8c.get_value()==_8a||_8a=="all"){
_8c.set_checked(_8b);
}
});
}
},dispose:function(){
$clearHandlers(this._insertButton);
$clearHandlers(this._cancelButton);
Telerik.Web.UI.Widgets.FileManager.callBaseMethod(this,"dispose");
}};
Telerik.Web.UI.Widgets.FileManager.registerClass("Telerik.Web.UI.Widgets.FileManager",Telerik.Web.UI.RadWebControl,Telerik.Web.IParameterConsumer);
Type.registerNamespace("Telerik.Web.UI.Widgets");
Telerik.Web.UI.Widgets.GenericFileUploader=function(_8d){
Telerik.Web.UI.Widgets.GenericFileUploader.initializeBase(this,[_8d]);
this._uploadButton=null;
this._fileUpload=null;
this._overwriteFileCheckBox=null;
this._uploadPostbackReference="";
this._allowedExtensions={};
};
Telerik.Web.UI.Widgets.GenericFileUploader.prototype={initialize:function(){
Telerik.Web.UI.Widgets.GenericFileUploader.callBaseMethod(this,"initialize");
this._initializeChildren();
},_initializeChildren:function(){
this._uploadButton=this._getChildElement("UploadButton");
this._overwriteFileCheckBox=this._getChildElement("OverwriteFile");
$addHandlers(this._uploadButton,{"click":this._uploadClickHandler},this);
this._fileUpload=this._getChildElement("FileUpload");
},clientInit:function(_8e){
this._overwriteFileCheckBox.checked=false;
},_uploadClickHandler:function(e){
if(!this._isSelectedFileExtensionValid()){
alert(localization["InvalidFileExtension"]);
return;
}
if(this._fileUpload.value.trim()!=""){
$clearHandlers(this._uploadButton);
var _90=this._uploadPostbackReference;
window.setTimeout(function(){
eval(_90);
},0);
}
},_isSelectedFileExtensionValid:function(){
var _91=this._fileUpload.value;
_91="*"+_91.substring(_91.lastIndexOf("."),_91.length);
for(var i in this._allowedExtensions){
if(typeof (this._allowedExtensions[i])!="string"){
continue;
}
var _93=this._allowedExtensions[i].toLowerCase();
if(_91.toLowerCase()==_93||_93=="*.*"){
return true;
}
}
return false;
},dispose:function(){
$clearHandlers(this._uploadButton);
$clearHandlers(this._fileUpload);
Telerik.Web.UI.Widgets.GenericFileUploader.callBaseMethod(this,"dispose");
}};
Telerik.Web.UI.Widgets.GenericFileUploader.registerClass("Telerik.Web.UI.Widgets.GenericFileUploader",Telerik.Web.UI.RadWebControl,Telerik.Web.IParameterConsumer);
Type.registerNamespace("Telerik.Web.UI.Widgets");
Telerik.Web.UI.Widgets.FilePreviewer=function(_94){
Telerik.Web.UI.Widgets.FilePreviewer.initializeBase(this,[_94]);
this._item=null;
};
Telerik.Web.UI.Widgets.FilePreviewer.prototype={initialize:function(){
Telerik.Web.UI.Widgets.FilePreviewer.callBaseMethod(this,"initialize");
},setItem:function(_95){
this._item=_95;
},getResult:function(){
return this._item;
},_selectOptionByValue:function(_96,_97,_98,_99){
if(typeof (_99)=="undefined"){
_99=0;
}
if(typeof (_98)=="undefined"){
_98=false;
}
_97=_98?_9a:_97.toLowerCase();
_96.selectedIndex=-1;
for(var i=0;i<_96.options.length;i++){
var _9a=_96.options[i].value;
_9a=_98?_9a:_9a.toLowerCase();
if(_9a==_97){
_96.selectedIndex=i;
return;
}
}
_96.selectedIndex=_99;
},populateObjectProperties:function(_9c){
},dispose:function(){
Telerik.Web.UI.Widgets.FilePreviewer.callBaseMethod(this,"dispose");
}};
Telerik.Web.UI.Widgets.FilePreviewer.registerClass("Telerik.Web.UI.Widgets.FilePreviewer",Telerik.Web.UI.RadWebControl);

